Subject: Re: [PATCH 1/4] test-lib-functions: introduce test_line_count_cmd

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Jun 2021 11:56:05 +0900

Eric Sunshine <[email-masked]> writes:

> ... However, the article does seem to say that such idioms and care may
> still be warranted. In particular, the epilog gives an example which
> is still relevant on macOS today. ...
>
> At any rate, for those of us who are old-timers, the `"x$foo"` idiom
> is habit and only costs a couple extra characters, so I for one have
> no problem with its presence in the proposed patch.

Yes.  I think it is prudent to use the x-prefix idiom, especially
for the case cited upthread like comparing $1 with an exclamation
mark '!'.